/// <reference types="node" />
import { ParsedUrlQueryInput } from 'querystring';
import { ApiCustomerPurchases, ApiCustomerSummary, Paginated } from '.';
export declare type ClientOptions = {
    appName: string;
    secretKey: string;
    url?: URL | string;
};
export declare type ExtendedHeaderOptions = {
    body: any;
    qs: any;
};
export declare type BaseClientExtendedOptions = {
    pathPrefix: string;
    headers?: Record<string, string>;
};
export declare type ApiRequestParams = {
    method: string;
    path: string;
    headers: object | Record<string, string> | null;
    body: Record<string, unknown> | null;
    qs: ParsedUrlQueryInput | null;
};
export declare type ApiRequestCallback = (err: Error | ErrorResponseBody | null, result?: any) => void;
export declare type GetCustomerPurchasesCallback = (err: Error | ErrorResponseBody | null, data?: ApiCustomerPurchases) => void;
export declare type GetCustomersBulkInfoCallback = (err: Error | ErrorResponseBody | null, data?: Paginated<ApiCustomerSummary>) => void;
export declare type ApplicationUserNameArray = {
    applicationUsername: string[];
};
export declare type PagingParam = {
    skip: number;
    limit: number;
};
export declare type GetCustomersBulkInfoParams = PagingParam | ApplicationUserNameArray;
export declare type ErrorResponseBody = {
    status: number;
    ok: boolean;
    code: string;
    message: string;
};
