export declare type Platform = 'apple' | 'google' | 'windows' | 'stripe';
export declare type SubscriptionPeriodUnit = 'Day' | 'Week' | 'Month' | 'Year';
export declare type DiscountPaymentMode = 'FreeTrial';
export declare type DiscountType = 'Subscription';
export declare type ProductType = 'application' | 'paid subscription' | 'subscription' | 'consumable' | 'non consumable' | 'product' | 'non renewing subscription';
export declare type RenewalIntent = 'Lapse' | 'Renew';
export declare type PriceConsentStatus = 'Notified' | 'Agreed';
export declare type CancelationReason = '' | 'Developer' | 'System' | 'System.Replaced' | 'System.ProductUnavailable' | 'System.BillingError' | 'System.Deleted' | 'Customer' | 'Customer.TechnicalIssues' | 'Customer.PriceIncrease' | 'Customer.Cost' | 'Customer.FoundBetterApp' | 'Customer.NotUsefulEnough' | 'Customer.OtherReason' | 'Unknown';
export interface DiscountDefinition {
    id?: string;
    price?: string;
    priceMicros?: number;
    paymentMode?: DiscountPaymentMode;
    period?: number;
    type?: DiscountType;
    periodUnit?: SubscriptionPeriodUnit;
}
export interface PrePaginated<T> {
    all: ReadonlyArray<T>;
    skip: number;
    limit: number;
    array: Array<T>;
}
export interface Paginated<T> {
    paging: {
        skip: number;
        limit: number;
        total: number;
    };
    rows: Array<T>;
}
