"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormattedError = void 0;
const util_1 = __importDefault(require("util"));
const enums_1 = require("../enums");
class FormattedError extends Error {
    constructor(...messageArgs) {
        super();
        this.name = this.constructor.name;
        this.severity = enums_1.Severity.error;
        if (messageArgs.length > 0)
            this.message = util_1.default.format(...messageArgs);
        Error.captureStackTrace(this, this.constructor);
    }
}
exports.FormattedError = FormattedError;
